#include "add.ri"
#include <iostream>

//using namespace javaSys;

int main (int argc, char** argv)
{
	ctl::vector<ctl::location> loc = ctl::readLocation("locs.txt");
	if (loc.size() < 1)
	{
		std::cerr << "No valid location found.\n";
		return 1;
	}

	for(int P=0; P<loc.size(); P++)
	{
		ctl::link lnk(loc[P]);
		FooRI add;
		try
		{ add = FooRI(lnk); } 
		catch(ctl::exception &e)
		{ std::cout << e <<"\n"; }
		if(!!add)
		{
			try
			{
				int res = add.add(4,5);
				std::cout << P << " -> Add: 4 + 5 = " << res << "\n";
			}
			catch(ctl::exception &e)
			{ std::cout << e <<"\n"; }
		}
	}
	return 0;
}
