#include "evalarray.ci"
#include <iostream>

int main (int argc, char** argv)
{
	const char* loc[] = {
		"/home/neocool/projects/wire/ctl4j/cpp/eval/eval.exe pipe",
			0 };
	std::string loc2 = "";

	for(int P=0; loc[P]; P++)
	{
		ctl::link lnk(loc[P]);
		try
		{ 
			evalBuilder::use(lnk);
			ctl::result<std::string> tmp = evalBuilder::build("return sin(foo);");
			loc2 = tmp;
		} 
		catch(ctl::exception &e)
		{ 
			std::cout << "Error: " << e <<"\n"; 
		}

		if(loc2.size() > 0)
		{
			try
			{
				eval::use(ctl::link(loc2));
				std::vector<double> foo(3);
				std::vector<double> res = eval::f(foo);
				std::cout << loc[P] << ": " << res << "\n";
			}
			catch(ctl::exception &e)
			{ 
				std::cout << "Error: " << e <<"\n"; 
			}
		}
	}
	return 0;
}
