# Matlab Makefile configuration
#MATLAB=$(HOME)/software/matlab7
MATLAB=/afs/tu-bs.de/appl/matlab7

MCC=$(MATLAB)/bin/mcc
MEX=$(MATLAB)/bin/mex

SYS=glnx86

ifndef NO_MATLAB
CXXFLAGS+=-I$(MATLAB)/extern/include
LDFLAGS+=-Wl,--rpath-link,$(MATLAB)/bin/$(SYS) -Wl,--rpath,$(MATLAB)/bin/$(SYS) \
	-L$(MATLAB)/bin/$(SYS)
#LDFLAGS+=-Wl,--rpath-link,$(PWD) -Wl,--rpath,$(PWD)
#LDFLAGS+=-Wl,--rpath-link,$(MATLAB)/sys/os/$(SYS) -Wl,--rpath,$(MATLAB)/sys/os/$(SYS)
LDLIBS+=-lmwmclmcrrt -lmex
endif

# Use a newer CTL (which does not export connectID() anymore)
#M2FLAGS=-new
#CXXFLAGS+=-fpermissive

# Use exactly the supported versions...
#CTL=$(HOME)/test/ctl1.2-gcc-3.3
#export PATH=$(HOME)/software/gcc-3.3/bin:$(MYPATH)
