#ifndef __CLIENT_H__
#define __CLIENT_H__

#include <sys/stat.h>

#include <vector>

typedef std::vector<std::vector<double> > myMatrix;
typedef std::vector<double> myVector;
//typedef std::vector<int> myVector;

std::ostream& operator<<(std::ostream& os, const myVector &v)
{
	for (int i=0;i<v.size();i++)
	{
			os << "\t";
			if (v[i] >= 0)
				os << " ";
			os << v[i];
			if (i!=v.size()-1)
				os << "\n";
	}
	return os;
}

std::ostream& operator<<(std::ostream& os, const myMatrix &m)
{
	for (int i=0;i<m.size();i++)
	{
		for (int j=0;j<m[i].size();j++)
		{
			os << "\t";
			if (m[i][j] >= 0)
				os << " ";
			os << m[i][j];
		}

		if (i!=m.size()-1)
			os << "\n";
	}
	return os;
}

#endif
