package Resourcery;

import CTL.*;
import CTL.Annotate.*;
import CTL.CCompat.*;
import CTL.Types.*;
import ReflWrap.*;

import java.util.*;

/** Resource manager RI */
public class CTL_LocatorCTLI extends ToolBase
{
	private LinkedList<String> components = new LinkedList<String>();
	private LinkedList<Location> locations;
	
	@cexport public CTL_LocatorCTLI ()
	{
		for (String comp : findCIs())
			components.add(ByteCode.sed(comp, "\\.", "::"));
		locations = Location.parseFile("locs.txt");
	}
	
	@export @sFID(1) public Location get (@const_ String arg0, @const_ AnyObj arg1) 
	{
		if (components.indexOf(arg0) != -1)
			if (locations.size() > 0)
				return locations.get(0);
		return new Location("");
	}
}
