import java.util.*;
import org.apache.bcel.*;
import org.apache.bcel.classfile.*;
import org.apache.bcel.generic.*;

import ReflWrap.*;

public class Test
{
	public static String dumpMethods (String klass)
	{
		StringBuffer buf = new StringBuffer();
		JavaClass c = Repository.lookupClass(klass);
		for (Method m : c.getMethods())
			buf.append(m+"\n");
		return buf.toString();
	}

	public static String dumpMethods2 (String klass)
	{
		StringBuffer buf = new StringBuffer();
		try
		{
			ClassInfo cinfo = new ClassInfo(klass);
			for (String s : cinfo.methodList())
				buf.append(s+"\n");
		} catch (Exception e) {}
		return buf.toString();
	}

	public static String dumpMethods3 (String klass)
	{
		StringBuffer buf = new StringBuffer();
		for (String s : ByteCode.getMethods(klass))
			buf.append(s+"\n");
		return buf.toString();
	}
	
	public static void main (String[] args)
	{
		if (args.length < 1)
			System.exit(1);
		
		//System.out.println(dumpMethods(args[0]));
		//System.out.println(dumpMethods2(args[0]));	
		//System.out.println(dumpMethods3(args[0]));	
		
		System.out.println(ByteCode.getParameters(args[0], 1));
		System.out.println(ByteCode.getRetVal(args[0], 1));
	}
}
