%module myeig
%{
#include <../cpp/mlab_myeig.ci>
#include <myeig.h>
%}

%include "typemaps.i"
%include "std_string.i"
%include "std_vector.i"

namespace std
{
	%template(DoubleVector) vector<double>;
	%template(DoubleMatrix) vector<vector<double> >;
	%template(IntVector) vector<int>;
	%template(IntMatrix) vector<vector<int> >;
}

%include <myeig.h>

%extend Mylab
{
	static void use (std::string loc)
	{
		ctl::link p(loc);
		Matlab::use(p);
	}
}

// vim: ft=cpp

