namespace Impl
{
	public class PiDotNET
	{
		public static double calc (int iterations)
		{
			double w = 1.0 / iterations;
			double sum = 0;

			for (int i = 0; i < iterations; i++)
			{
				double x = w * ((double)i - 0.5);
				sum += (4.0/(1.0+(x)*(x)));
			}

			return w*sum;
		}
	}
}
