package Example;

import CTL.Types.*;
import javaSys.*;

/** Sample client which tests most of the implemented features */
public class Client1 
{
	public static void main (String args[])
	{
		for (Location loc : Location.parseFile("locs.txt"))
		{
			CTL.Process proc = new CTL.Process(loc);
			MatheCI.use(proc);
		
			System.out.println("Tst: "+MatheCI.foobar()+"\n");
			MatheCI mathe_ri = new MatheCI();
		
			System.out.println("4 + 5 = "+mathe_ri.add(4, 5));
			System.out.println("3 - 2 = "+mathe_ri.sub(3, 2));
			System.out.println("2 * 3 = "+mathe_ri.mul(2, 3));
			System.out.println("6 / 2 = "+mathe_ri.div(6, 2));
		
			int[] foo = new int[3];
			foo[0] = foo[1] = foo[2] = 1;
			System.out.println("1 + 1 + 1 = "+mathe_ri.add_a(foo));
		
			System.out.println("ln(e) = "+mathe_ri.log(Math.E));
			System.out.println("ln(e) = "+mathe_ri.log((float)Math.E));
		
			Impl.Types.DoubleDash d = new Impl.Types.DoubleDash(Math.E,
				(float)Math.E);
			System.out.println(mathe_ri.loglog(d));
		
			System.out.println("getFoo() = "+mathe_ri.getFoo());
			mathe_ri.setFoo("bar");
			System.out.println("getFoo() = "+mathe_ri.getFoo()+"\n");
			
			mathe_ri = new MatheCI("foo");
			System.out.println("getFoo() = "+mathe_ri.getFoo()+"\n");

			mathe_ri = new MatheCI("bar", true);
			System.out.println("getFoo() = "+mathe_ri.getFoo()+"\n");
		
			System.out.println(MatheCI.foobar()+"\n");

			EvCalcCI evie = new EvCalcCI();
			System.out.println("1 + 1 = "+evie.barfoo(1, 1));
			System.out.println("2 + 3 = "+evie.barfoo(2, 3));
		
			Impl.Types.TripleDash td = new Impl.Types.TripleDash(1.0, (float)0.0,
				1.0, (float)0.0, null);
			System.out.println("1.0 + 1.0 = "+evie.futzi(td));
		
			int[] baz = new int[3];
			baz[0] = 0;
			baz[1] = 1;
			baz[2] = 2;
			td = new Impl.Types.TripleDash(0.0, (float)0.0, 0.0, (float)0.0, baz);
			System.out.println(evie.send(td));
		}
	}
}
